Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://ramp-sandbox.hexarails.ai/payment/detail \ --header 'X-API-Key: <api-key>'
{ "status": "SUCCESS", "data": { "id": "12209d2d-47b4-4a07-8a01-b49052cd8204", "status": "CONFIRMED", "rate": "0.9950", "deductAmount": "180.50", "deductCurrency": "USDT", "receivedCurrency": "USD", "receivedAmount": "100.00", "bankCharge": "80.00", "reference": "payment-123456", "createTime": "2026-03-12 17:22:04", "bankAccount": { "bankName": "New York Bank", "accountNo": "123451097890", "swift": "CHASUS33", "beneficiaryName": "John Doe", "beneficiaryAddress": "123 Main St", "bankCountry": "SG", "bankAddress": "1 Marina Blvd" } } }
Retrieves the detail of a payment transaction
Payment ID
"12209d2d-47b4-4a07-8a01-b49052cd8204"
Get payment detail successful
Success response status
SUCCESS
"SUCCESS"
Response data
Show child attributes